Page MenuHomePhabricator

Add docs for function attributes hot/cold
ClosedPublic

Authored by OfekShilon on Aug 1 2022, 1:24 PM.

Details

Summary

Following this, add docs for the hot/cold function attributes

Diff Detail

Event Timeline

OfekShilon created this revision.Aug 1 2022, 1:24 PM
Herald added a project: Restricted Project. · View Herald Transcript
OfekShilon requested review of this revision.Aug 1 2022, 1:24 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 1 2022, 1:24 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript

Thank you for adding the docs! I'm not well-versed enough in hot/cold behavior and PGO to comment on the documentation accuracy, so I'm hopeful someone can sign off on that bit.

clang/include/clang/Basic/Attr.td
1077

I think the change on this line was unintentional.

1523

I think the change on this line was unintentional.

clang/include/clang/Basic/AttrDocs.td
5248
5255–5256
davidxl accepted this revision.Aug 3 2022, 8:27 AM

LGTM from the content point of view. Please also address aaron's comment.

This revision is now accepted and ready to land.Aug 3 2022, 8:27 AM

Addressed Aaron's comments (thanks!). Hope I got the update-diff procedure right.
I don't have commit permissions, would appreciate if someone could push this.

Addressed Aaron's comments (thanks!). Hope I got the update-diff procedure right.

It looks like something might have gone wrong because the diff looks like it's now a diff against something other than the main branch (it looks like it's adding the SimpleHandler lines in Attr.td, but those lines already exist in main).

I don't have commit permissions, would appreciate if someone could push this.

Once we get the patch fixed up, I'm happy to land on your behalf. What name and email address would you like me to use for patch attribution?

This comment was removed by OfekShilon.

I'm not a git expert by any means, but you might be able to address the patch issues with git diff -U999 main > foo.patch from the root llvm-project directory so that you're getting a diff with 999 lines of context and the differences are against the main branch.

My apologies for the mess, hopefully the diff I just uploaded includes all the right fixes.

aaron.ballman accepted this revision.Aug 10 2022, 10:42 AM

My apologies for the mess, hopefully the diff I just uploaded includes all the right fixes.

No worries! If I had a nickel for every time I've been confused by git... I'd have a lot of nickels.

This version LGTM! I can land it for you, but what name and email address would you like me to use for patch attribution?

@aaron.ballman 'Ofek Shilon', ofekshilon@gmail.com is fine.
Thanks!

This revision was landed with ongoing or failed builds.Aug 10 2022, 10:49 AM
This revision was automatically updated to reflect the committed changes.

@aaron.ballman 'Ofek Shilon', ofekshilon@gmail.com is fine.
Thanks!

Thank you! I've landed on your behalf.